Subject: Re: Linux kernel 3.x problems on PowerMac G5

From: Phileas Fogg <[email-masked]>
Date: Thu, 07 Mar 2013 21:08:11 +0100

On 03/03/2013 08:24 PM, Benjamin Herrenschmidt wrote:
> On Sun, 2013-03-03 at 20:16 +0100, Phileas Fogg wrote:
>> Benjamin Herrenschmidt wrote:
>>> Thanks. It looks like a bisection might indeed be the way to go...
>>>
>>> Out of curiosity, have you tried without some of your additional drivers ?
>>> Maybe one of them is the culprit...
>>>
>>> Cheers,
>>> Ben.
>>>
>>
>> Not yet, will do.
>> But I tested the official Debian Wheezy RC netinstall CD with Linux 3.2,
>> it has the same problem and hangs at boot on my machine.
>
> Ok, so it's definitely something about your configuration. Maybe
> something in the 11,2 support code chokes on single-chip configs, I
> don't have one of them to test, both mines are dual chip (ie. quad
> core).
>
> But it does look like a regression that should be bisectable, so let me
> know went you're done there and what you get.
>
> Cheers,
> Ben.
>
>
> _______________________________________________
> Linuxppc-dev mailing list
> [email-masked]
> https://lists.ozlabs.org/listinfo/linuxppc-dev
>

Hi,

i'm completely confused now.
I did a bisect between the following 2 commits: 
61c4f2c81c61f73549928dfd9f3e8f26aa36a8cf (good) Linux 2.6.39
and
55922c9d1b84b89cb946c777fddccb3247e7df2c (bad)  Linux 3.0-rc1
Both commist were tested by me on my machine. And Linux 3.0-rc1 hangs
on my machine but Linux 2.6.39 works fine.

And the bisect couldn't find the commit which causes hangs on my machine.
All commits which were provided by the bisect were bad.
And the commit before tha last bad bisect commit was bad too.
I did bisect several times, and got the same results.

Fo testing i used linux-3.0.y branch of
git://git.kernel.org/pub/scm/linux/kernel/git/stable/linux-stable.git.

Did i miss something or do something wrong here ?

Regards